Skip to main content

Install the Library

Rust

Requirements

Include the Library

You can include the IOTA Identity Library in your project by adding it as a dependency in your Cargo.toml.

Latest Stable Release

This version matches the main branch of this repository. It is stable and will have changelogs.

[dependencies]
identity = { git = "https://github.com/iotaledger/identity.rs", branch = "main"}

Development Release

This version matches the dev branch of this repository. It has all the latest features, but as such it may also have undocumented breaking changes.

[dependencies]
identity = { git = "https://github.com/iotaledger/identity.rs", branch = "dev"}

You can find detailed installation instructions in the Getting Started With Rust section.

WASM

Requirements

Install the Library

You can install the WASM binding of the IOTA Identity Library using npm.

Latest Stable Release

This version matches the main branch of this repository. It is stable and will have changelogs.

npm install @iota/identity-wasm

Development Release

This version matches the dev branch of this repository. It has all the latest features, but as such it may also have undocumented breaking changes.

npm install @iota/identity-wasm@dev

You can find detailed installation instructions in the Getting Started With WASM section.